# HRIS API — Employee Schedules

> Canonical URL: https://developers.apideck.com/apis/hris/reference#tag/Employee-Schedules

This document contains every operation on the `Employee Schedules` resource.

---

# List Employee Schedules

> **HRIS API** · `GET /hris/schedules/employees/{employee_id}`
> Canonical URL: https://developers.apideck.com/apis/hris/reference#tag/Employee-Schedules/operation/employeeSchedulesAll

List schedules for employee, a schedule is a work pattern, not the actual worked hours, for an employee.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `employee_id` | path | `string` | Yes | ID of the employee you are acting upon. |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `pass_through` | query | `object` | No | Optional unmapped key/values that will be passed through to downstream as query parameters. Ie: ?pass_through[search]=leads becomes ?search=leads |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — EmployeeSchedules

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `sage-hr`
- `resource` `string` **required** — Unified API resource name — example: `Employees`
- `operation` `string` **required** — Operation performed — example: `all`
- `data` `object` **required**
  - `employee` `object`
    - `id` `string` — A unique identifier for an object. — example: `12345`
    - `downstream_id` `string` — The third-party API ID of original entity — example: `12345`
    - `first_name` `string` — The first name of the person. — example: `Elon`
    - `last_name` `string` — The last name of the person. — example: `Musk`
    - `middle_name` `string` — Middle name of the person. — example: `D.`
    - `display_name` `string` — The name used to display the employee, often a combination of their first and last names. — example: `Technoking`
    - `preferred_name` `string` — The name the employee prefers to be addressed by, which may be different from their legal name. — example: `Elon Musk`
    - `initials` `string` — The initials of the person, usually derived from their first, middle, and last names. — example: `EM`
    - `salutation` `string` — A formal salutation for the person. For example, 'Mr', 'Mrs' — example: `Mr`
    - `title` `string` — The job title of the person. — example: `CEO`
    - `marital_status` `string` — The marital status of the employee. — example: `married`
    - `partner` `object`
      - `id` `string` — A unique identifier for an object. — example: `12345`
      - `first_name` `string` — The first name of the person. — example: `Elon`
      - `last_name` `string` — The last name of the person. — example: `Musk`
      - `middle_name` `string` — Middle name of the person. — example: `D.`
      - `gender` `string` — The gender represents the gender identity of a person. — enum: `male`, `female`, `unisex`, `other`, `not_specified` — example: `male`
      - `initials` `string` — Initials of the person — example: `EM`
      - `birthday` `string` — Date of birth — format: `date` — example: `2000-08-12`
      - `deceased_on` `string` — Date of death — format: `date` — example: `2000-08-12`
      - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
    - `division` `string` — The division the person is currently in. Usually a collection of departments or teams or regions. — example: `Europe`
    - `division_id` `string` — Unique identifier of the division this employee belongs to. — example: `12345`
    - `department` `string` — The department the person is currently in. [Deprecated](https://developers.apideck.com/changelog) in favor of the dedicated department_id and department_name field. — example: `R&D`
    - `department_id` `string` — Unique identifier of the department ID this employee belongs to. — example: `12345`
    - `department_name` `string` — Name of the department this employee belongs to. — example: `12345`
    - `team` `object` — The team the person is currently in.
      - `id` `string` — The unique identifier of the team. — example: `1234`
      - `name` `string` — The name of the team. — example: `Full Stack Engineers`
    - `company_id` `string` — The unique identifier of the company. — example: `23456`
    - `company_name` `string` — The name of the company. — example: `SpaceX`
    - `employment_start_date` `string` — A Start Date is the date that the employee started working at the company — example: `2021-10-26`
    - `employment_end_date` `string` — An End Date is the date that the employee ended working at the company — example: `2028-10-26`
    - `leaving_reason` `string` — The reason because the employment ended. — enum: `dismissed`, `resigned`, `redundancy`, `retired`, `other` — example: `resigned`
    - `employee_number` `string` — An Employee Number, Employee ID or Employee Code, is a unique number that has been assigned to each individual staff member within a company. — example: `123456-AB`
    - `employment_status` `string` — The employment status of the employee, indicating whether they are currently employed, inactive, terminated, or in another status. — enum: `active`, `inactive`, `terminated`, `other` — example: `active`
    - `employment_role` `object`
      - `type` `string` — The type of employment relationship the employee has with the organization. — enum: `contractor`, `employee`, `freelance`, `temp`, `internship`, `other`
      - `sub_type` `string` — The work schedule of the employee. — enum: `full_time`, `part_time`, `hourly`, `other`, `not_specified`
    - `ethnicity` `string` — The ethnicity of the employee — example: `African American`
    - `manager` `object`
      - `id` `string` — A unique identifier for an object. — example: `12345`
      - `name` `string` — The name of the manager, often a combination of their first and last names. — example: `Elon Musk`
      - `first_name` `string` — The first name of the person. — example: `Elon`
      - `last_name` `string` — The last name of the person. — example: `Musk`
      - `email` `string` — The email address of the manager. — format: `email` — example: `elon@musk.com`
      - `employment_status` `string` — The employment status of the employee, indicating whether they are currently employed, inactive, terminated, or in another status. — enum: `active`, `inactive`, `terminated`, `other` — example: `active`
    - `direct_reports` `array of string` — Direct reports is an array of ids that reflect the individuals in an organizational hierarchy who are directly supervised by this specific employee.
    - `social_security_number` `string` — A unique identifier assigned by the government. This field is considered sensitive information and may be subject to special security and privacy restrictions. — example: `123456789`
    - `birthday` `string` — The date of birth of the person. — format: `date` — example: `2000-08-12`
    - `deceased_on` `string` — The date the person deceased. — format: `date` — example: `2000-08-12`
    - `country_of_birth` `string` — Country code according to ISO 3166-1 alpha-2. — example: `US`
    - `description` `string` — A description of the object. — example: `A description`
    - `gender` `string` — The gender represents the gender identity of a person. — enum: `male`, `female`, `unisex`, `other`, `not_specified` — example: `male`
    - `pronouns` `string` — The preferred pronouns of the person. — example: `she,her`
    - `preferred_language` `string` — language code according to ISO 639-1. For the United States - EN — example: `EN`
    - `languages` `array of string`
    - `nationalities` `array of string`
    - `photo_url` `string` — The URL of the photo of a person. — example: `https://unavatar.io/elon-musk`
    - `timezone` `string` — The time zone related to the resource. The value is a string containing a standard time zone identifier, e.g. Europe/London. — example: `Europe/London`
    - `source` `string` — When the employee is imported as a new hire, this field indicates what system (e.g. the name of the ATS) this employee was imported from. — example: `lever`
    - `source_id` `string` — Unique identifier of the employee in the system this employee was imported from (e.g. the ID in the ATS). — example: `12345`
    - `record_url` `string` — example: `https://app.intercom.io/contacts/12345`
    - `jobs` `array of object`
      - `id` `string` — A unique identifier for an object. — example: `12345`
      - `employee_id` `string` — A unique identifier for an object. — example: `12345`
      - `title` `string` — The job title of the person. — example: `CEO`
      - `role` `string` — The position and responsibilities of the person within the organization. — example: `Sales`
      - `start_date` `string` — The date on which the employee starts working in their current job role. — format: `date` — example: `2020-08-12`
      - `end_date` `string` — The date on which the employee leaves or is expected to leave their current job role. — format: `date` — example: `2020-08-12`
      - `compensation_rate` `number` — The rate of pay for the employee in their current job role. — example: `72000`
      - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
      - `payment_unit` `string` — Unit of measurement for employee compensation. — enum: `hour`, `week`, `month`, `year`, `paycheck`, `other` — example: `year`
      - `hired_at` `string` — The date on which the employee was hired by the organization — format: `date` — example: `2020-08-12`
      - `is_primary` `boolean` — Indicates whether this the employee's primary job. — example: `true`
      - `is_manager` `boolean` — Indicates whether this the employee has a manager role. — example: `true`
      - `status` `string` — Indicates the status of the job. — enum: `active`, `inactive`, `other` — example: `OK`
      - `location` `object`
        - `id` `string` — Unique identifier for the address. — example: `123`
        - `type` `string` — The type of address. — enum: `primary`, `secondary`, `home`, `office`, `shipping`, `billing`, `work`, `other` — example: `primary`
        - `string` `string` — The address string. Some APIs don't provide structured address data. — example: `25 Spring Street, Blackburn, VIC 3130`
        - `name` `string` — The name of the address. — example: `HQ US`
        - `line1` `string` — Line 1 of the address e.g. number, street, suite, apt #, etc. — example: `Main street`
        - `line2` `string` — Line 2 of the address — example: `apt #`
        - `line3` `string` — Line 3 of the address — example: `Suite #`
        - `line4` `string` — Line 4 of the address — example: `delivery instructions`
        - `line5` `string` — Line 5 of the address — example: `Attention: Finance Dept`
        - `street_number` `string` — Street number — example: `25`
        - `city` `string` — Name of city. — example: `San Francisco`
        - `state` `string` — Name of state — example: `CA`
        - `postal_code` `string` — Zip code or equivalent. — example: `94104`
        - `country` `string` — country code according to ISO 3166-1 alpha-2. — example: `US`
        - `latitude` `string` — Latitude of the address — example: `40.759211`
        - `longitude` `string` — Longitude of the address — example: `-73.984638`
        - `county` `string` — Address field that holds a sublocality, such as a county — example: `Santa Clara`
        - `contact_name` `string` — Name of the contact person at the address — example: `Elon Musk`
        - `salutation` `string` — Salutation of the contact person at the address — example: `Mr`
        - `phone_number` `string` — Phone number of the address — example: `111-111-1111`
        - `fax` `string` — Fax number of the address — example: `122-111-1111`
        - `email` `string` — Email address of the address — example: `elon@musk.com`
        - `website` `string` — Website of the address — example: `https://elonmusk.com`
        - `notes` `string` — Additional notes — example: `Address notes or delivery instructions.`
        - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
    - `compensations` `array of object`
      - `id` `string` — A unique identifier for an object. — example: `12345`
      - `job_id` `string` — The ID of the job to which the compensation belongs. — example: `12345`
      - `rate` `number` — The amount paid per payment unit. — example: `72000`
      - `payment_unit` `string` — Unit of measurement for employee compensation. — enum: `hour`, `week`, `month`, `year`, `paycheck`, `other` — example: `year`
      - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
      - `flsa_status` `string` — The FLSA status for this compensation. — enum: `exempt`, `salaried-nonexempt`, `nonexempt`, `owner`, `other`
      - `effective_date` `string` — The date on which a change to an employee's compensation takes effect. — example: `2020-08-12`
      - `payment_frequency` `string` — Frequency of employee compensation. — enum: `weekly`, `biweekly`, `monthly`, `pro-rata`, `other` — example: `monthly`
    - `works_remote` `boolean` — Indicates if the employee works from a remote location. — example: `true`
    - `addresses` `array of object`
      - `id` `string` — Unique identifier for the address. — example: `123`
      - `type` `string` — The type of address. — enum: `primary`, `secondary`, `home`, `office`, `shipping`, `billing`, `work`, `other` — example: `primary`
      - `string` `string` — The address string. Some APIs don't provide structured address data. — example: `25 Spring Street, Blackburn, VIC 3130`
      - `name` `string` — The name of the address. — example: `HQ US`
      - `line1` `string` — Line 1 of the address e.g. number, street, suite, apt #, etc. — example: `Main street`
      - `line2` `string` — Line 2 of the address — example: `apt #`
      - `line3` `string` — Line 3 of the address — example: `Suite #`
      - `line4` `string` — Line 4 of the address — example: `delivery instructions`
      - `line5` `string` — Line 5 of the address — example: `Attention: Finance Dept`
      - `street_number` `string` — Street number — example: `25`
      - `city` `string` — Name of city. — example: `San Francisco`
      - `state` `string` — Name of state — example: `CA`
      - `postal_code` `string` — Zip code or equivalent. — example: `94104`
      - `country` `string` — country code according to ISO 3166-1 alpha-2. — example: `US`
      - `latitude` `string` — Latitude of the address — example: `40.759211`
      - `longitude` `string` — Longitude of the address — example: `-73.984638`
      - `county` `string` — Address field that holds a sublocality, such as a county — example: `Santa Clara`
      - `contact_name` `string` — Name of the contact person at the address — example: `Elon Musk`
      - `salutation` `string` — Salutation of the contact person at the address — example: `Mr`
      - `phone_number` `string` — Phone number of the address — example: `111-111-1111`
      - `fax` `string` — Fax number of the address — example: `122-111-1111`
      - `email` `string` — Email address of the address — example: `elon@musk.com`
      - `website` `string` — Website of the address — example: `https://elonmusk.com`
      - `notes` `string` — Additional notes — example: `Address notes or delivery instructions.`
      - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
    - `phone_numbers` `array of object`
      - `id` `string` — Unique identifier of the phone number — example: `12345`
      - `country_code` `string` — The country code of the phone number, e.g. +1 — example: `1`
      - `area_code` `string` — The area code of the phone number, e.g. 323 — example: `323`
      - `number` `string` **required** — The phone number — example: `111-111-1111`
      - `extension` `string` — The extension of the phone number — example: `105`
      - `type` `string` — The type of phone number — enum: `primary`, `secondary`, `home`, `work`, `office`, `mobile`, `assistant`, `fax`, `direct-dial-in`, `personal`, `billing`, `other` — example: `primary`
    - `emails` `array of object`
      - `id` `string` — Unique identifier for the email address — example: `123`
      - `email` `string` **required** — Email address — format: `email` — example: `elon@musk.com`
      - `type` `string` — Email type — enum: `primary`, `secondary`, `work`, `personal`, `billing`, `other` — example: `primary`
    - `custom_fields` `array of object`
      - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
      - `name` `string` — Name of the custom field. — example: `employee_level`
      - `description` `string` — More information about the custom field — example: `Employee Level`
      - `value` `string | number | boolean | object | array of string | number | boolean | object`
        - One of:
          - Option 1: string
          - Option 2: number
          - Option 3: boolean
          - Option 4: object
            - _(schema continues — truncated at depth 6)_

          - Option 5: array of string | number | boolean | object
    - `social_links` `array of object`
      - `id` `string` — Unique identifier of the social link — example: `12345`
      - `url` `string` **required** — URL of the social link, e.g. https://www.twitter.com/apideck — example: `https://www.twitter.com/apideck`
      - `type` `string` — Type of the social link, e.g. twitter — example: `twitter`
    - `bank_accounts` `array of object`
      - `bank_name` `string` — The name of the bank or financial institution — example: `Chase Bank`
      - `account_number` `string` — The bank account number — example: `123465`
      - `account_name` `string` — The name of the bank account — example: `Main Operating Account`
      - `account_type` `string` — The type of bank account. — enum: `bank_account`, `credit_card`, `other` — example: `credit_card`
      - `iban` `string` — International Bank Account Number — example: `GB33BUKB20201555555555`
      - `bic` `string` — Bank Identifier Code / SWIFT Code — example: `CHASUS33`
      - `routing_number` `string` — Bank routing number (US) — example: `021000021`
      - `bsb_number` `string` — Bank State Branch number (Australia/New Zealand) — example: `062-001`
      - `branch_identifier` `string` — Bank branch identifier — example: `001`
      - `bank_code` `string` — Bank code assigned by central bank — example: `BNH`
      - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
      - `country` `string` — Country code according to ISO 3166-1 alpha-2. — example: `US`
    - `tax_code` `string` — example: `1111`
    - `tax_id` `string` — example: `234-32-0000`
    - `dietary_preference` `string` — Indicate the employee's dietary preference. — example: `Veggie`
    - `food_allergies` `array of string` — Indicate the employee's food allergies.
    - `probation_period` `object`
      - `start_date` `string` — The date that the employee started their probation period at the company. — format: `date` — example: `2021-10-01`
      - `end_date` `string` — The date that the employee ended their probation period at the company. — format: `date` — example: `2021-11-28`
    - `tags` `array of string`
    - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
    - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
    - `deleted` `boolean` — Flag to indicate if the object is deleted. — example: `true`
    - `updated_by` `string` — The user who last updated the object. — example: `12345`
    - `created_by` `string` — The user who created the object. — example: `12345`
    - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
    - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
    - `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
      - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
      - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
      - `extend_object` `object` — Simple object allowing any properties for direct extension.
      - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
        - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
        - `value` `any` **required** — The value to set at the specified path, can be any type.
  - `schedules` `array of object`
    - `id` `string` **required** — A unique identifier for an object. — example: `12345`
    - `start_date` `string` **required** — The start date, inclusive, of the schedule period. — example: `2022-04-08`
    - `end_date` `string` **required** — The end date, inclusive, of the schedule period. — example: `2022-04-21`
    - `work_pattern` `object` **required**
      - `odd_weeks` `object`
        - `hours_monday` `number` — format: `double` — example: `8`
        - `hours_tuesday` `number` — format: `double` — example: `8`
        - `hours_wednesday` `number` — format: `double` — example: `4`
        - `hours_thursday` `number` — format: `double` — example: `7.5`
        - `hours_friday` `number` — format: `double` — example: `4`
        - `hours_saturday` `number` — format: `double` — example: `0`
        - `hours_sunday` `number` — format: `double` — example: `0`
      - `even_weeks` `object`
        - `hours_monday` `number` — format: `double` — example: `8`
        - `hours_tuesday` `number` — format: `double` — example: `8`
        - `hours_wednesday` `number` — format: `double` — example: `4`
        - `hours_thursday` `number` — format: `double` — example: `7.5`
        - `hours_friday` `number` — format: `double` — example: `4`
        - `hours_saturday` `number` — format: `double` — example: `0`
        - `hours_sunday` `number` — format: `double` — example: `0`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
